
// LOGOS

textures/beer_SH/drinkbeer
{
  nopicmip
  surfaceparm nodlight
  surfaceparm nomarks
  {
    map textures/beer/drinkbeer.tga
    rgbGen const ( 0.5 0.5 0.5 )
  }
  {
    map textures/effects/tinfx2.tga
    blendFunc GL_ONE GL_ONE
    tcGen environment
  }
}

textures/beer_SH/shinylogo2_1
{
  qer_editorimage textures/beer/shinylogo2_1.tga
  {
//    map textures/effects/tinfx2.tga
    map textures/effects/envmapbfg.jpg
    tcGen environment
  }
  {
    map textures/beer/shinymask2_1.tga
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
  }
  {
    map textures/beer/shinylogo2_1.tga
    rgbGen identity
    blendFunc GL_ONE GL_ONE
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/beer_SH/shinylogo3_1
{
  qer_editorimage textures/beer/shinylogo3_1.tga
  {
    map textures/effects/tinfx2.tga
    tcGen environment
  }
  {
    map textures/beer/shinymask3_1.tga
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
  }
  {
    map textures/beer/shinylogo3_1.tga
    rgbGen identity
    blendFunc GL_ONE GL_ONE
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/beer_SH/shinylogo3_2
{
  qer_editorimage textures/beer/shinylogo3_2.tga
  {
    map textures/effects/tinfx2.tga
    tcGen environment
  }
  {
    map textures/beer/shinymask3_2.tga
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
  }
  {
    map textures/beer/shinylogo3_2.tga
    rgbGen identity
    blendFunc GL_ONE GL_ONE
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
}



// BLUE FOG STUFF

textures/beer_SH/bluedepth
{
  surfaceparm nodlight
  qer_editorimage textures/sfx/hellfog.tga
  surfaceparm nonsolid
  surfaceparm nolightmap
  surfaceparm trans
  surfaceparm fog
  q3map_surfacelight 50
  q3map_lightimage textures/liquids/kc_fogcloud3.tga
  fogparms ( 0 .5 1 ) 256
  {
    map textures/liquids/kc_fogcloud3.tga
    blendfunc gl_dst_color gl_zero
    tcmod scale -.05 -.05
    tcmod scroll .01 -.01
    rgbgen identity
  }
  {
    map textures/liquids/kc_fogcloud3.tga
    blendfunc gl_dst_color gl_zero
    tcmod scale .05 .05
    tcmod scroll .01 -.01
    rgbgen identity
  }
}

textures/beer_SH/bluedeeper  // Fog with a longer fade distance for the dome room
{
/// -andrewj- FIXME !!! this fog is totally buggered!
  surfaceparm nodlight
  qer_editorimage textures/sfx/hellfog.tga
  surfaceparm nonsolid
  surfaceparm nolightmap
  surfaceparm trans
///  surfaceparm fog
  q3map_surfacelight 50
  q3map_lightimage textures/liquids/kc_fogcloud3.tga
/// fogparms ( 0 .5 1 ) 200
///  {
///    map textures/liquids/kc_fogcloud3.tga
///    blendfunc gl_dst_color gl_zero
///    tcmod scale -.05 -.05
///    tcmod scroll .01 -.01
///    rgbgen identity
///  }
///  {
///    map textures/liquids/kc_fogcloud3.tga
///    blendfunc gl_dst_color gl_zero
///    tcmod scale .05 .05
///    tcmod scroll .01 -.01
///  }
  {
    map textures/beer/blue_telep.jpg
    tcMod scroll 0.5 0.05
    rgbgen const ( 0.14 0.14 0.14 )
  }
}

textures/beer_SH/lglass
{
  qer_editorimage textures/effects/tinfx.tga
  qer_trans 0.6
  surfaceparm nomarks
  surfaceparm nolightmap
  {
    map textures/effects/tinfx2.tga
    blendFunc GL_ONE GL_ONE
    tcGen environment
  }
}



// LITTLE LIGHTS

textures/beer_SH/ceilwhite_5k
{
  surfaceparm nodlight
  q3map_surfacelight 5000
  qer_editorimage textures/base_light/ceil1_38.tga
  surfaceparm nomarks
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/base_light/ceil1_38.tga
    blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/beer_SH/ceilwhite_10k
{
  surfaceparm nodlight
  q3map_surfacelight 10000
  qer_editorimage textures/base_light/ceil1_38.tga
  surfaceparm nomarks
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/base_light/ceil1_38.tga
    blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/beer_SH/ceilwhite_20k
{
  surfaceparm nodlight
  q3map_surfacelight 20000
  qer_editorimage textures/base_light/ceil1_38.tga
  surfaceparm nomarks
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/base_light/ceil1_38.tga
    blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/beer_SH/ceilblue_5k
{
  surfaceparm nodlight
  q3map_surfacelight 5000
  q3map_lightRGB 0.2 0.5 1.0
  qer_editorimage textures/base_light/ceil1_30.tga
  surfaceparm nomarks
  {  map $lightmap
    rgbGen identity  }
  {  map textures/base_light/ceil1_30.tga
    blendFunc GL_DST_COLOR GL_ZERO  }
}

textures/beer_SH/ceilblue_10k
{
  surfaceparm nodlight
  q3map_surfacelight 10000
  q3map_lightRGB 0.2 0.5 1.0
  qer_editorimage textures/base_light/ceil1_30.tga
  surfaceparm nomarks
  {  map $lightmap
    rgbGen identity  }
  {  map textures/base_light/ceil1_30.tga
    blendFunc GL_DST_COLOR GL_ZERO  }
}

textures/beer_SH/ceilblue_20k
{
  surfaceparm nodlight
  q3map_surfacelight 20000
  q3map_lightRGB 0.2 0.5 1.0
  qer_editorimage textures/base_light/ceil1_30.tga
  surfaceparm nomarks
  {  map $lightmap
    rgbGen identity  }
  {  map textures/base_light/ceil1_30.tga
    blendFunc GL_DST_COLOR GL_ZERO  }
}

textures/beer_SH/jaildrblue
{
  surfaceparm nodlight
  surfaceparm nolightmap
  surfaceparm nomarks
  q3map_surfacelight 900
  q3map_lightsubdivide 32
//  q3map_lightimage textures/base_light/xlight5.blend.jpg
  q3map_lightRGB 0.2 0.5 1.0
  {
    map textures/beer/jaildrblue.tga
    rgbGen identity
  }
  {
    map textures/beer/jaildrblue.blend.tga
    blendFunc GL_ONE GL_ONE
    rgbGen wave sin 0.3 0.3 0 0.5
  }
}

textures/beer_SH/jaildrwhite
{
  surfaceparm nodlight
  surfaceparm nolightmap
  surfaceparm nomarks
  q3map_surfacelight 1250
  q3map_lightsubdivide 32
  {
    map textures/beer/jaildrwhite.tga
    rgbGen identity
  }
  {
    map textures/beer/jaildrwhite.blend.tga
    blendFunc GL_ONE GL_ONE
    rgbGen wave sin 0.3 0.3 0  1.0
  }
}

textures/beer_SH/rlight_2k
{
  surfaceparm nodlight
  q3map_surfacelight 2000
  qer_editorimage textures/evil8_lights/e8_rlight.tga
  surfaceparm nomarks
  {
    map textures/evil8_lights/e8_rlight.tga
    rgbGen identity
  }
  {
    map textures/evil8_lights/e8_rlight.blend.tga
    rgbGen const ( 0.4 0.4 0.4 )
    blendFunc GL_ONE GL_ONE
  }
}


// BIG LIGHTS

textures/beer_SH/plight1
{
  surfaceparm nomarks
  qer_editorimage textures/beer/plight1.tga
  q3map_surfacelight 550
  {
    map textures/beer/plight1.tga
    rgbGen identity
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
  {
    map textures/beer/plight1.blend.tga
    rgbGen const ( 0.3 0.3 0.3 )
    blendFunc GL_ONE GL_ONE
  }
}

textures/beer_SH/plight2
{
  surfaceparm nomarks
  qer_editorimage textures/beer/plight2.tga
  q3map_surfacelight 550
  {
    map textures/beer/plight2.tga
    rgbGen identity
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
  {
    map textures/beer/plight2.blend.tga
    rgbGen const ( 0.3 0.3 0.3 )
    blendFunc GL_ONE GL_ONE
  }
}

textures/beer_SH/olight3
{
  surfaceparm nodlight
  q3map_surfacelight 1250
  {
    map textures/beer/olight3.tga
    rgbGen identity
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
  {
    map textures/beer/olight3glow.tga
    blendFunc GL_ONE GL_ONE
  }
}

textures/beer_SH/olight3dim
{
  surfaceparm nodlight
  q3map_surfacelight 500
  {
    map textures/beer/olight3.tga
    rgbGen identity
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
  {
    map textures/beer/olight3glow.tga
    blendFunc GL_ONE GL_ONE
  }
}

textures/beer_SH/olight3brite
{
  surfaceparm nodlight
  q3map_surfacelight 2500
  {
    map textures/beer/olight3.tga
    rgbGen identity
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
  {
    map textures/beer/olight3glow.tga
    blendFunc GL_ONE GL_ONE
  }
}

textures/beer_SH/olight5
{
  surfaceparm nodlight
  q3map_surfacelight 1250
  q3map_lightRGB 1.0 1.0 0.5
  {
    map textures/beer/yellowlite.jpg
    rgbGen identity
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/beer_SH/olight5brite
{
  surfaceparm nodlight
  q3map_surfacelight 2500
  q3map_lightRGB 1.0 1.0 0.5
  {
    map textures/beer/yellowlite.jpg
    rgbGen identity
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/beer_SH/olight6
{
  surfaceparm nodlight
  q3map_surfacelight 1500
  q3map_lightRGB 1.0 1.0 0.5
  {
    map textures/beer/yellowlite.jpg
    rgbGen identity
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
}



// TELEPORTERS

textures/beer_SH/teleport
{
  surfaceparm nodlight
  surfaceparm nolightmap
  surfaceparm trans
  surfaceparm noimpact
  surfaceparm nonsolid
  q3map_surfacelight 750
  tesssize 64
  {
    map textures/beer/blue_telep.jpg
    tcMod scroll -0.02 0.5
    tcMod turb 0 .12 0 0.333
  }
  {
    map textures/beer/blue_telep.jpg
    tcMod scroll 0.01 -0.5
    tcMod turb 0 .12 0 0.333
    blendFunc GL_ONE GL_ONE
  }
}

textures/beer_SH/teleside
{
  qer_editorimage textures/beer/teleside2.tga
  q3map_surfacelight 450
  q3map_lightRGB 0.0 0.5 1.0
  {
    map textures/beer/tek3_blue.tga
    rgbGen const ( 0.7 0.7 0.7 )
  }
  {
    map textures/beer/tek3_blue.tga
    rgbGen const ( 0.3 0.3 0.3 )
    blendFunc GL_ONE GL_ONE
    tcMod scroll 0 -1
  }
  {
    map textures/beer/teleside2.tga
    rgbGen identity
    alphaFunc GE128
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
}



// JUMP PADS

textures/beer_SH/jumppad2
{
  surfaceparm nodamage
  {
    map textures/beer/floor3.jpg
    rgbGen identity
  }
  {
    map textures/beer/jumppad3.tga
    rgbGen identity
    alphaFunc GE128
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
  {
    map textures/beer/jumpswirl_3.tga
    tcMod rotate 90
    rgbGen identity
    blendFunc GL_ONE GL_ONE
  }
}

textures/beer_SH/jumppad4
{
  surfaceparm nodamage
  {
    map textures/oa_bases/floor_gray.jpg
    rgbGen identity
  }
  {
    map textures/beer/jumppad3.tga
    rgbGen identity
    alphaFunc GE128
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
  {
    map textures/beer/jumpswirl_3.tga
    tcMod rotate 90
    rgbGen identity
    blendFunc GL_ONE GL_ONE
  }
}



// BROKEN FLOORS

textures/beer_SH/tekfloor2
{
  qer_editorimage textures/beer/tekfloor2
  {
    map textures/beer/tek3_blue.tga
    rgbGen const ( 0.7 0.7 0.7 )
  }
  {
    map textures/beer/glowstrip3.tga
    rgbGen const ( 0.5 0.5 0.5 )
    tcMod scroll 0.6 0.6
    blendFunc GL_ONE GL_ONE
  }
  {
    map textures/beer/tekfloor2.tga
    rgbGen identity
    alphaFunc GE128
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/beer_SH/tekfloor4
{
  qer_editorimage textures/beer/tekfloor4
  {
    map textures/beer/tek3_blue.tga
    rgbGen const ( 0.7 0.7 0.7 )
  }
  {
    map textures/beer/glowstrip3.tga
    rgbGen const ( 0.5 0.5 0.5 )
    tcMod scroll 0.6 0.6
    blendFunc GL_ONE GL_ONE
  }
  {
    map textures/beer/tekfloor4.tga
    rgbGen identity
    alphaFunc GE128
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
  }
}

